<?php

namespace App\Controllers\Admin\Equipment\Part;

use App\Helpers\Equipment\Part\CpuHelper;
use App\Services\Equipment\Part\CpuService;
use CodeIgniter\HTTP\RequestInterface;

use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class CpuController extends PartController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): CpuService
    {
        if (!$this->_service) {
            $this->_service = new CpuService($this->request);
        }
        return $this->_service;
    }
    public function getHelper(): CpuHelper
    {
        if (!$this->_helper) {
            $this->_helper = new CpuHelper($this->request);
        }
        return $this->_helper;
    }
    //Index,FieldForm관련
}
